%define rname	chan_misdn
%define name	asterisk-%{rname}
%define version	0.1.0

Summary:	This module adds mISDN support to the Asterisk PBX
Name:		%{name}
Version:	%{version}
Release:	%mkrel 0.beta.1
License:	GPL
Group:		System/Servers
URL:		http://www.beronet.com/
Source0:	http://www.beronet.com/download/%{rname}-beta-%{version}.tar.bz2
Patch0:		chan_misdn-beta-0.1.0-mdk.diff.bz2
BuildRequires:	misdn-devel >= 3.0
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This module adds mISDN support to the Asterisk PBX. mISDN is the
(experimental) new ISDN4Linux stack, which adds support for
driving cards in NT mode and thus connecting an ISDN phone to your
computer.

%prep

%setup -q -n %{rname}-beta-%{version}
%patch0 -p1

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

%build

%make \
    RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE -DMISDNUSER_JOLLY -DASTERISK_STABLE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

install -m0644 misdn.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0755 chan_misdn.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README mISDN.sample
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/misdn.conf
%attr(0755,root,root) %{_libdir}/asterisk/chan_misdn.so

%changelog
* Mon Mar 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1.0-0.beta.1mdk
- beta-0.1.0
- rediffed P0

* Mon Mar 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.3-0.rc6.1mdk
- 0.0.3-rc6
- rediffed P0
- use the %%mkrel macro

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.3-0.rc4.1mdk
- 0.0.3-0.rc4

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.3-0.rc3.1mdk
- initial mandrake package
- added P0 with ideas from debian
